
	icl "Kernel-Equates.asm"
	icl "Fixes-Disable-Basic.asm"
	icl "Fixes-Enable-Basic.asm"
	icl "Fixes-Load-High.asm"

	.macro m_force_coldstart
	.echo "Fixed: Now performs cold start upon RESET instead of crash"
	
	opt h+

	org coldst
	.byte $ff
	.endm

	.macro m_turn_screen_off

	.echo "Fixed: Now turns screen off while loading"

	opt h+

	org $2000
turn_screen_off
	mva #0 sdmctl
	lda $14
wait	cmp $14
	beq wait
	rts
	
	ini turn_screen_off
	.endm

	.macro m_add_runadr filename
	opt h-
	.def length = .filesize :filename
	.get :filename
	.sav length

	.echo "Fixed: Now has DOS run address segment. New length is ",length+6," bytes"
	opt h-
	.word $2e0
	.word $2e1
	.byte .get[2],.get[3]

	.endm

